Subject: bug#22296: 25.1.50; Document changes to `delete-selection-mode'

From: Drew Adams <[email-masked]>
Date: Fri, 8 Jan 2016 07:03:35 -0800 (PST)

> > That helper-function doc string is really not the right place
> > for it, IMO (though I am glad it was at least added to some
> > doc string).  Users will look to the command/mode doc string
> > more than to a helper-function doc string, for information
> > about how to use delete-selection mode.
> 
> I added a link in the doc string of delete-selection-mode to
> delete-selection-helper and delete-selection-pre-hook.

OK.  I still don't think that the helper function is the right,
or the better, place to mention the possible property values.
But this will help.  Thx.

> > D-s mode is not only about replacing selected text by text
> > you type.  It also deletes selected text when you hit certain
> > deletion keys.  This info is missing.
> 
> I added that.

Thx.

> I added to the ELisp manual text that briefly mentions how Delete
> Selection mode affects commands, and refers to the doc strings of
> delete-selection-pre-hook and delete-selection-helper.
> 
> I think this makes the documentation of this quite adequate, so I'm
> marking this bug done.

Sounds good. Thx.